package com.friday.operation.api.tooldriver.constant;

/**
 * @Author YaoYao
 * @Date Created In 17:07 2022/12/1
 * @Description 许可类型枚举
 * @Modified By
 */
public enum LicenseTypeEnum {
    NonProduction("NonProduction", "非生产后台"),
    Attended("Attended", "仅运行前台"),
    Unattended("Unattended", "生产后台"),
    Studio("Studio", "开发前台"),
    Development("Development", "开发前台"),
    RpaDeveloper("RpaDeveloper", "开发前台"),
    StudioX("StudioX", "开发前台"),
    CitizenDeveloper("CitizenDeveloper", "开发前台"),
    Headless("Headless", "UIPATH"),
    StudioPro("StudioPro", "UIPATH"),
    RpaDeveloperPro("RpaDeveloperPro", "UIPATH"),
    TestAutomation("TestAutomation", "测试用后台"),
    AutomationCloud("AutomationCloud", "UIPATH");

    private String type;
    private String description;

    LicenseTypeEnum(String type, String description) {
        this.type = type;
        this.description = description;
    }

    public String getType() {
        return type;
    }
    }
